scala.util.parsing.combinator.PackratParsers

# PackratParser

#### abstract class PackratParser[+T] extends Parser[T]

The root class of packrat parsers.

Source
  PackratParsers.scala

Linear Supertypes
PackratParsers.Parser[T], (PackratParsers.Input) ⇒ PackratParsers.ParseResult[T], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PackratParser
2. Parser
3. Function1
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PackratParser()

### Abstract Value Members

1. #### abstract def apply(in: PackratParsers.Input): PackratParsers.ParseResult[T]

   An unspecified method that defines the behaviour of this parser.

   An unspecified method that defines the behaviour of this parser.

   returns

     the result of function application.

   Definition Classes
     Parser → Function1

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def *[U >: T](sep: ⇒ PackratParsers.Parser[(U, U) ⇒ U]): PackratParsers.Parser[U]

   Returns a parser that repeatedly parses what this parser parses, interleaved with the `sep` parser.

   Returns a parser that repeatedly parses what this parser parses, interleaved with the `sep` parser. The `sep` parser specifies how the results parsed by this parser should be combined.

   returns

     chainl1(this, sep)

   Definition Classes
     Parser

5. #### def *: PackratParsers.Parser[List[T]]

   Returns a parser that repeatedly parses what this parser parses.

   Returns a parser that repeatedly parses what this parser parses.

   returns

     rep(this)

   Definition Classes
     Parser

6. #### def +: PackratParsers.Parser[List[T]]

   Returns a parser that repeatedly (at least once) parses what this parser parses.

   Returns a parser that repeatedly (at least once) parses what this parser parses.

   returns

     rep1(this)

   Definition Classes
     Parser

7. #### def ->[B](y: B): (PackratParser[T], B)

   Implicit information
     This member is added by an implicit conversion from PackratParser[T] to ArrowAssoc[PackratParser[T]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

8. #### def <~[U](q: ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[T]

   A parser combinator for sequential composition which keeps only the left result.

   A parser combinator for sequential composition which keeps only the left result.

   `p <~ q` succeeds if `p` succeeds and `q` succeeds on the input left over by `p`.

   q

     a parser that will be executed after `p` (this parser) succeeds -- evaluated at most once, and only when necessary

   returns

     a `Parser` that -- on success -- returns the result of `p`.

   Definition Classes
     Parser
   Annotations
     @migration
   Migration

     (Changed in version 2.9.0) The call-by-name argument is evaluated at most once per constructed Parser object, instead of on every need that arises during parsing.

   Note

     <~ has lower operator precedence than ~ or ~>.

9. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

11. #### def >>[U](fq: (T) ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[U]

    Returns `into(fq)`.

    Returns `into(fq)`.

    Definition Classes
      Parser

12. #### def ?: PackratParsers.Parser[Option[T]]

    Returns a parser that optionally parses what this parser parses.

    Returns a parser that optionally parses what this parser parses.

    returns

      opt(this)

    Definition Classes
      Parser

13. #### def ^?[U](f: PartialFunction[T, U]): PackratParsers.Parser[U]

    A parser combinator for partial function application.

    A parser combinator for partial function application.

    `p ^? f`succeeds if` p`succeeds AND` f`is defined at the result of` p`; in that case, it returns` f`applied to the result of` p`.``

    f

      a partial function that will be applied to this parser's result (see `mapPartial` in `ParseResult`).

    returns

      a parser that succeeds if the current parser succeeds and `f` is applicable to the result. If so, the result will be transformed by `f`.

    Definition Classes
      Parser

14. #### def ^?[U](f: PartialFunction[T, U], error: (T) ⇒ String): PackratParsers.Parser[U]

    A parser combinator for partial function application.

    A parser combinator for partial function application.

    `p ^? (f, error)`succeeds if` p`succeeds AND` f`is defined at the result of` p`; in that case, it returns` f`applied to the result of` p`. If` f`is not applicable, error(the result of` p`) should explain why.``

    f

      a partial function that will be applied to this parser's result (see `mapPartial` in `ParseResult`).

    error

      a function that takes the same argument as `f` and produces an error message to explain why `f` wasn't applicable

    returns

      a parser that succeeds if the current parser succeeds and `f` is applicable to the result. If so, the result will be transformed by `f`.

    Definition Classes
      Parser

15. #### def ^^[U](f: (T) ⇒ U): PackratParsers.Parser[U]

    A parser combinator for function application.

    A parser combinator for function application.

    `p ^^ f`succeeds if` p`succeeds; it returns` f`applied to the result of` p`.``

    f

      a function that will be applied to this parser's result (see `map` in `ParseResult`).

    returns

      a parser that has the same behaviour as the current parser, but whose result is transformed by `f`.

    Definition Classes
      Parser

16. #### def ^^^[U](v: ⇒ U): PackratParsers.Parser[U]

    A parser combinator that changes a successful result into the specified value.

    A parser combinator that changes a successful result into the specified value.

    `p ^^^ v`succeeds if` p`succeeds; discards its result, and returns` v`instead.``

    v

      The new result for the parser, evaluated at most once (if `p` succeeds), not evaluated at all if `p` fails.

    returns

      a parser that has the same behaviour as the current parser, but whose successful result is `v`

    Definition Classes
      Parser
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The call-by-name argument is evaluated at most once per constructed Parser object, instead of on every need that arises during parsing.

17. #### def andThen[A](g: (PackratParsers.ParseResult[T]) ⇒ A): (PackratParsers.Input) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

18. #### def append[U >: T](p0: ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[U]

    Definition Classes
      Parser
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The call-by-name argument is evaluated at most once per constructed Parser object, instead of on every need that arises during parsing.

19. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

20. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

21. #### def compose[A](g: (A) ⇒ PackratParsers.Input): (A) ⇒ PackratParsers.ParseResult[T]

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

22. #### def ensuring(cond: (PackratParser[T]) ⇒ Boolean, msg: ⇒ Any): PackratParser[T]

    Implicit information
      This member is added by an implicit conversion from PackratParser[T] to Ensuring[PackratParser[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: (PackratParser[T]) ⇒ Boolean): PackratParser[T]

    Implicit information
      This member is added by an implicit conversion from PackratParser[T] to Ensuring[PackratParser[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### def ensuring(cond: Boolean, msg: ⇒ Any): PackratParser[T]

    Implicit information
      This member is added by an implicit conversion from PackratParser[T] to Ensuring[PackratParser[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

25. #### def ensuring(cond: Boolean): PackratParser[T]

    Implicit information
      This member is added by an implicit conversion from PackratParser[T] to Ensuring[PackratParser[T]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

26. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

27. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

28. #### def filter(p: (T) ⇒ Boolean): PackratParsers.Parser[T]

    Definition Classes
      Parser

29. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

30. #### def flatMap[U](f: (T) ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[U]

    Definition Classes
      Parser

31. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from PackratParser[T] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

32. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

33. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

34. #### def into[U](fq: (T) ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[U]

    A parser combinator that parameterizes a subsequent parser with the result of this one.

    A parser combinator that parameterizes a subsequent parser with the result of this one.

    Use this combinator when a parser depends on the result of a previous parser. `p` should be a function that takes the result from the first parser and returns the second parser.

    `p into fq` (with `fq` typically `{x => q}`) first applies `p`, and then, if `p` successfully returned result `r`, applies `fq(r)` to the rest of the input.

    From: G. Hutton. Higher-order functions for parsing. J. Funct. Program., 2(3):323--343, 1992.

    fq

      a function that, given the result from this parser, returns the second parser to be applied

    returns

      a parser that succeeds if this parser succeeds (with result `x`) and if then `fq(x)` succeeds

    Definition Classes
      Parser
    Example:

    1.     def perlRE = "m" ~> (".".r into (separator => """[^%s]*""".format(separator).r <~ separator))

35. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

36. #### def map[U](f: (T) ⇒ U): PackratParsers.Parser[U]

    Definition Classes
      Parser

37. #### def named(n: String): PackratParser.this.type

    Definition Classes
      Parser

38. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

39. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

40. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Parser → Function1 → AnyRef → Any

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def withErrorMessage(msg: String): PackratParsers.Parser[T]

    Changes the error message produced by a parser.

    Changes the error message produced by a parser.

    This doesn't change the behavior of a parser on neither success nor failure, just on error. The semantics are slightly different than those obtained by doing `| error(msg)`, in that the message produced by this method will always replace the message produced, which is not guaranteed by that idiom.

    For example, parser `p` below will always produce the designated error message, while `q` will not produce it if `sign` is parsed but `number` is not.

        def p = sign.? ~ number withErrorMessage  "Number expected!"
        def q = sign.? ~ number | error("Number expected!")

    msg

      The message that will replace the default error message.

    returns

      A parser with the same properties and different error message.

    Definition Classes
      Parser

47. #### def withFailureMessage(msg: String): PackratParsers.Parser[T]

    Changes the failure message produced by a parser.

    Changes the failure message produced by a parser.

    This doesn't change the behavior of a parser on neither success nor error, just on failure. The semantics are slightly different than those obtained by doing `| failure(msg)`, in that the message produced by this method will always replace the message produced, which is not guaranteed by that idiom.

    For example, parser `p` below will always produce the designated failure message, while `q` will not produce it if `sign` is parsed but `number` is not.

        def p = sign.? ~ number withFailureMessage  "Number expected!"
        def q = sign.? ~ number | failure("Number expected!")

    msg

      The message that will replace the default failure message.

    returns

      A parser with the same properties and different failure message.

    Definition Classes
      Parser

48. #### def withFilter(p: (T) ⇒ Boolean): PackratParsers.Parser[T]

    Definition Classes
      Parser

49. #### def |[U >: T](q: ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[U]

    A parser combinator for alternative composition.

    A parser combinator for alternative composition.

    `p | q` succeeds if `p` succeeds or `q` succeeds. Note that `q` is only tried if `p`s failure is non-fatal (i.e., back-tracking is allowed).

    q

      a parser that will be executed if `p` (this parser) fails (and allows back-tracking)

    returns

      a `Parser` that returns the result of the first parser to succeed (out of `p` and `q`) The resulting parser succeeds if (and only if)

      - `p` succeeds, or
      - if `p` fails allowing back-tracking and `q` succeeds.
    Definition Classes
      Parser

50. #### def |||[U >: T](q0: ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[U]

    A parser combinator for alternative with longest match composition.

    A parser combinator for alternative with longest match composition.

    `p ||| q` succeeds if `p` succeeds or `q` succeeds. If `p` and `q` both succeed, the parser that consumed the most characters accepts.

    q0

      a parser that accepts if p consumes less characters. -- evaluated at most once, and only when necessary

    returns

      a `Parser` that returns the result of the parser consuming the most characters (out of `p` and `q`).

    Definition Classes
      Parser
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The call-by-name argument is evaluated at most once per constructed Parser object, instead of on every need that arises during parsing.

51. #### def ~[U](q: ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[PackratParsers.~[T, U]]

    A parser combinator for sequential composition.

    A parser combinator for sequential composition.

    `p ~ q` succeeds if `p` succeeds and `q` succeeds on the input left over by `p`.

    q

      a parser that will be executed after `p` (this parser) succeeds -- evaluated at most once, and only when necessary.

    returns

      a `Parser` that -- on success -- returns a `~` (like a `Pair`, but easier to pattern match on) that contains the result of `p` and that of `q`. The resulting parser fails if either `p` or `q` fails.

    Definition Classes
      Parser
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The call-by-name argument is evaluated at most once per constructed Parser object, instead of on every need that arises during parsing.

52. #### def ~![U](p: ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[PackratParsers.~[T, U]]

    A parser combinator for non-back-tracking sequential composition.

    A parser combinator for non-back-tracking sequential composition.

    `p ~! q` succeeds if `p` succeeds and `q` succeeds on the input left over by `p`. In case of failure, no back-tracking is performed (in an earlier parser produced by the `|` combinator).

    p

      a parser that will be executed after `p` (this parser) succeeds

    returns

      a `Parser` that -- on success -- returns a `~` (like a Pair, but easier to pattern match on) that contains the result of `p` and that of `q`. The resulting parser fails if either `p` or `q` fails, this failure is fatal.

    Definition Classes
      Parser

53. #### def ~>[U](q: ⇒ PackratParsers.Parser[U]): PackratParsers.Parser[U]

    A parser combinator for sequential composition which keeps only the right result.

    A parser combinator for sequential composition which keeps only the right result.

    `p ~> q` succeeds if `p` succeeds and `q` succeeds on the input left over by `p`.

    q

      a parser that will be executed after `p` (this parser) succeeds -- evaluated at most once, and only when necessary.

    returns

      a `Parser` that -- on success -- returns the result of `q`.

    Definition Classes
      Parser
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The call-by-name argument is evaluated at most once per constructed Parser object, instead of on every need that arises during parsing.

54. #### def →[B](y: B): (PackratParser[T], B)

    Implicit information
      This member is added by an implicit conversion from PackratParser[T] to ArrowAssoc[PackratParser[T]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PackratParser[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (packratParser: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from PackratParser[T] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (packratParser: StringAdd).self

   Definition Classes
     StringAdd

3. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from PackratParser[T] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (packratParser: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: PackratParser[T]

   Implicit information
     This member is added by an implicit conversion from PackratParser[T] to ArrowAssoc[PackratParser[T]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (packratParser: ArrowAssoc[PackratParser[T]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: PackratParser[T]

   Implicit information
     This member is added by an implicit conversion from PackratParser[T] to Ensuring[PackratParser[T]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (packratParser: Ensuring[PackratParser[T]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from PackratParsers.Parser[T]

### Inherited from (PackratParsers.Input) ⇒ PackratParsers.ParseResult[T]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PackratParser[T] to StringAdd

### Inherited by implicit conversion any2stringfmt from PackratParser[T] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from PackratParser[T] to ArrowAssoc[PackratParser[T]]

### Inherited by implicit conversion any2Ensuring from PackratParser[T] to Ensuring[PackratParser[T]]

### Ungrouped